# Installation

## Pré-requis

- NPM 
- Node.js

## Installation du CLI Angular

Installez-le globalement depuis le terminal :

```
npm i -g @angular/cli
```

`sudo` peut être nécessaire.

❗(sous MacOs) En cas d’erreurs EACCES suivez le guide de la [documentation npm](https://docs.npmjs.com/resolving-eacces-permissions-errors-when-installing-packages-globally).

# Création d'un nouveau projet Angular

```
ng new nomDuProjet --style=scss --skip-tests=true
```

`--style=scss` : utilise le SCSS pour les styles.

`--skip-tests=true` : ne génère pas de fichiers de tests unitaires.

# Installation d'un projet Angular déjà existant
Pour récupérer les dépendences et les modules du projet existant :
```
npm ci
```

# Exécution d'un projet Angular
Cette commande va lancer un serveur local sur votre ordinateur et ouvrir l'application dans votre navigateur par défaut.
```
ng serve
```



# SpendAll

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 17.1.2.

## Development server

Run `ng serve` for a dev server. Navigate to `http://localhost:4200/`. The application will automatically reload if you change any of the source files.

## Code scaffolding

Run `ng generate component component-name` to generate a new component. You can also use `ng generate directive|pipe|service|class|guard|interface|enum|module`.

## Build

Run `ng build` to build the project. The build artifacts will be stored in the `dist/` directory.

## Running unit tests

Run `ng test` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Running end-to-end tests

Run `ng e2e` to execute the end-to-end tests via a platform of your choice. To use this command, you need to first add a package that implements end-to-end testing capabilities.

## Further help

To get more help on the Angular CLI use `ng help` or go check out the [Angular CLI Overview and Command Reference](https://angular.io/cli) page.

